Mailinglist Archive: yast-devel (191 mails)

< Previous Next >
Re: [yast-devel] Package-Bindings
  • From: Michael Andres <ma@xxxxxxx>
  • Date: Thu, 20 Mar 2008 14:47:05 +0100
  • Message-id: <20080320134705.GA23953@xxxxxxx>
On Thu, Mar 20, Klaus Kaempf wrote:

* Lukas Ocilka <lukas.ocilka@xxxxxxx> [Mar 20. 2008 11:14]:

Everything (these) users want is to have the latest packages installed
on their systems.

Use case:
1.) Show all packages from PacKman
2.) Click "All Packages"
3.) Select "Upgrade all (if possible, of course)"

Now what's "if possible, of course" supposed to mean ?

The point is, that the sat-solver provides just this functionality,
'compute all possible updates'. The result is 'solved', you won't get
any dependency conflicts.

Sat-solver also provides SOLVER_INSTALL_SOLVABLE_UPDATE to request
the update of one solvable (within the limits of the policies). I'm
thinking about using this to implement Solvable::freshen().

--

cu,
Michael Andres

+------------------------------------------------------------------+
Key fingerprint = 2DFA 5D73 18B1 E7EF A862 27AC 3FB8 9E3A 27C6 B0E4
+------------------------------------------------------------------+
Michael Andres YaST Development ma@xxxxxxxxxx
SUSE LINUX Products GmbH, GF: Markus Rex, HRB 16746 (AG Nuernberg)
Maxfeldstrasse 5, D-90409 Nuernberg, Germany, ++49 (0)911 - 740 53-0
+------------------------------------------------------------------+

--
To unsubscribe, e-mail: yast-devel+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: yast-devel+help@xxxxxxxxxxxx

< Previous Next >
Follow Ups